[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GetColumnWidth

Gets the width of the column at the specified column number.

## Declaration

Source position: grids.pas line 1095

`protected function TCustomGrid.GetColumnWidth(`
`Column: Integer`
`):Integer;`

## Arguments

`Column` |  | Column number examined in the method.

## Function result

Width (in pixels) for the column.

## Description

GetColumnWidth calls ColumnFromGridColumn to get the TGridColumn instance for the column number in the Column parameter. If the grid column is assigned, its Width property is used as the return value for the method.

The grid column may be unassigned (contain Nil) if Column is not a valid column number for the control, or Columns has not been Enabled for the grid. In this situation, GetDefaultColumnWidth is called to get the return value for the method.

Remark: | GetColumnWidth is never called in TCustomGrid or TCustomDrawGrid. It is called from the internal auto-sizing routine in the TCustomDBGrid descendant.